commit:     2696dcc39471c44d8bcbaa1acff2f1645fe40769
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 19 07:04:36 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Apr 19 11:10:02 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2696dcc3

dev-python/aesara: Bump to 2.6.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/aesara/Manifest            |  1 +
 dev-python/aesara/aesara-2.6.0.ebuild | 80 +++++++++++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/dev-python/aesara/Manifest b/dev-python/aesara/Manifest
index bd2a5932efce..9beae109edb1 100644
--- a/dev-python/aesara/Manifest
+++ b/dev-python/aesara/Manifest
@@ -1,2 +1,3 @@
 DIST aesara-rel-2.4.0.tar.gz 8189236 BLAKE2B 
05fd50ddd64ec063b3ea226706d232648e0fc314b754342db9537f1d55abd71a65afee3b3934b41e182fe12c224c8e10e8235ac58ba91c4c9f28d3ad8df1b7ac
 SHA512 
b58e881145e051f97d5065fd46716209e280de46bd49ce6d1294880137aefc550741c6f96a47c8e2dbb54717d7c9f161a92f2cb5d3535687fbb6115641cc714c
 DIST aesara-rel-2.5.3.tar.gz 8191431 BLAKE2B 
698bc3b6f7e84288be3318796989d13d7de92f72c66abfa83b14c08f6310f974f7381d729e712c2bd5e76f398d74a3c5dc03d7515a22254261312e586e3fd461
 SHA512 
5c1ad9d6ad1fb58be1477713d863f2b1371544ea8293d8e9e1a690860a0483b83c9558827856a2546498bab26360f141a5ee97d4c7f3f2aad773e84f9766a59b
+DIST aesara-rel-2.6.0.tar.gz 7846131 BLAKE2B 
23e1f115eb2e8794a00d29fa2b9705ba6bf0d17c9bb290675f9406e4008b24b45dfd9b2732cb6fc3c6ce18154a3d75b6b0fc750a99f76588cab91387dbc4728d
 SHA512 
8acff0f3fbb8969970b988f363cb3e2107fd3ee5450f238e426f0959d6bf42909c6eb2951b1803629148a57a9a27c47b4364756942a42692b44abf151cf736d2

diff --git a/dev-python/aesara/aesara-2.6.0.ebuild 
b/dev-python/aesara/aesara-2.6.0.ebuild
new file mode 100644
index 000000000000..5bcb330fb0af
--- /dev/null
+++ b/dev-python/aesara/aesara-2.6.0.ebuild
@@ -0,0 +1,80 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1 multiprocessing optfeature
+
+MY_P=aesara-rel-${PV}
+DESCRIPTION="Library for operating on mathematical expressions with 
multi-dimensional arrays"
+HOMEPAGE="
+       https://github.com/aesara-devs/aesara/
+       https://pypi.org/project/aesara/
+"
+SRC_URI="
+       https://github.com/aesara-devs/aesara/archive/rel-${PV}.tar.gz
+               -> ${MY_P}.tar.gz
+"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+       dev-python/cons[${PYTHON_USEDEP}]
+       dev-python/etuples[${PYTHON_USEDEP}]
+       dev-python/logical-unification[${PYTHON_USEDEP}]
+       dev-python/minikanren[${PYTHON_USEDEP}]
+       dev-python/filelock[${PYTHON_USEDEP}]
+       >=dev-python/numpy-1.17.0[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/scipy[${PYTHON_USEDEP}]
+       dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/pytest-xdist[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_sphinx doc 'dev-python/sphinx_rtd_theme'
+distutils_enable_tests pytest
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # speed tests are unreliable
+               tests/scan/test_basic.py::test_speed
+               tests/scan/test_basic.py::test_speed_rnn
+               tests/scan/test_basic.py::test_speed_batchrnn
+               tests/link/test_vm.py::test_speed
+               tests/link/test_vm.py::test_speed_lazy
+               tests/tensor/test_gc.py::test_merge_opt_runtime
+
+               # rounding problem?
+               # https://github.com/aesara-devs/aesara/issues/477
+               tests/tensor/test_math_scipy.py::TestGammaUBroadcast::test_good
+               
tests/tensor/test_math_scipy.py::TestGammaUInplaceBroadcast::test_good
+       )
+       local EPYTEST_IGNORE=(
+               # we do not package numba
+               tests/link/test_numba.py
+               tests/link/test_numba_performance.py
+       )
+
+       epytest -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+python_compile() {
+       esetup.py build_py
+       distutils-r1_python_compile
+       rm "${BUILD_DIR}/install$(python_get_sitedir)/bin/__init__.py" || die
+}
+
+pkg_postinst() {
+       optfeature "GPU code generation/execution on NVIDIA gpus" 
dev-util/nvidia-cuda-toolkit dev-util/nvidia-cuda-sdk
+       optfeature "GPU/CPU code generation on CUDA and OpenCL devices" 
dev-libs/libgpuarray dev-python/pycuda
+}

Reply via email to